GuideLab API

Create a time-off entry

Creates a new time-off or bank holiday entry for the authenticated lab. Validates that the start date is before or equal to the end date. Lab-only endpoint.

POST
/calendar/time-off

Creates a new time-off or bank holiday entry for the authenticated lab. Validates that the start date is before or equal to the end date. Lab-only endpoint.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/calendar/time-off" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "startDate": "string",    "endDate": "string"  }'
{  "entry": {    "id": "string",    "name": "string",    "startDate": "string",    "endDate": "string",    "isRecurringAnnually": true,    "isBankHoliday": true,    "isActive": true,    "sortOrder": 0,    "createdAt": "string",    "updatedAt": "string"  }}
Empty